package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 健康度配置基本对象 hl_base
 *
 * @author jjt
 * @date 2024-08-28
 */
@ApiModel(value = "HlBase", description = "健康度配置基本信息")
@Data
public class HlBase extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 健康度配置ID
     */
    @ApiModelProperty("健康度配置ID")
    @TableId
    private Long hlBaseId;

    /**
     * 模型ID
     */
    @ApiModelProperty("模型ID")
    @Excel(name = "模型ID")
    private Long modelId;

    /**
     * 评分标准
     */
    @ApiModelProperty("评分标准")
    @Excel(name = "评分标准")
    private String stand;

    @ApiModelProperty("评价项目")
    private List<HlClass> hlClassList;
}
