package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 健康度分类对象 hl_class
 *
 * @author jjt
 * @date 2024-08-28
 */
@ApiModel(value = "HlClass", description = "健康度分类")
@Data
public class HlClass extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 分类ID
     */
    @ApiModelProperty("分类ID")
    @TableId
    private Long classId;

    /**
     * 健康度配置ID
     */
    @ApiModelProperty("健康度配置ID")
    @Excel(name = "健康度配置ID")
    private Long hlBaseId;

    /**
     * 分类编码
     */
    @ApiModelProperty("分类编码")
    @Excel(name = "分类编码")
    private String classCode;

    /**
     * 分类名称
     */
    @ApiModelProperty("分类名称")
    @Excel(name = "分类名称")
    private String className;

    /**
     * 分值
     */
    @ApiModelProperty("分值")
    @Excel(name = "分值")
    private Long classScore;
    @ApiModelProperty("评价对象")
    private List<HlObj> hlObjList;
}
