package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 健康度明细对象 hl_detail
 *
 * @author jjt
 * @date 2024-08-28
 */
@ApiModel(value = "HlDetail", description = "健康度明细")
public class HlDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 明细ID */
    @ApiModelProperty("明细ID")
    @TableId
    private Long hlDetailId;

    /** 对象ID */
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long hlObjId;

    /** 评价对象 */
    @ApiModelProperty("评价对象")
    @Excel(name = "评价对象")
    private String hlDetailName;

    /** 评价对象编码 */
    @ApiModelProperty("评价对象编码")
    @Excel(name = "评价对象编码")
    private String hlDetailCode;

    /** 分值 */
    @ApiModelProperty("分值")
    @Excel(name = "分值")
    private Long hlDetailScore;

    public void setHlDetailId(Long hlDetailId)
    {
        this.hlDetailId = hlDetailId;
    }

    public Long getHlDetailId()
    {
        return hlDetailId;
    }
    public void setHlObjId(Long hlObjId)
    {
        this.hlObjId = hlObjId;
    }

    public Long getHlObjId()
    {
        return hlObjId;
    }
    public void setHlDetailName(String hlDetailName)
    {
        this.hlDetailName = hlDetailName;
    }

    public String getHlDetailName()
    {
        return hlDetailName;
    }
    public void setHlDetailCode(String hlDetailCode)
    {
        this.hlDetailCode = hlDetailCode;
    }

    public String getHlDetailCode()
    {
        return hlDetailCode;
    }
    public void setHlDetailScore(Long hlDetailScore)
    {
        this.hlDetailScore = hlDetailScore;
    }

    public Long getHlDetailScore()
    {
        return hlDetailScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("hlDetailId", getHlDetailId())
            .append("hlObjId", getHlObjId())
            .append("hlDetailName", getHlDetailName())
            .append("hlDetailCode", getHlDetailCode())
            .append("hlDetailScore", getHlDetailScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
