package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 健康度对象对象 hl_obj
 *
 * @author jjt
 * @date 2024-08-28
 */
@ApiModel(value = "HlObj", description = "健康度对象")
@Data
public class HlObj extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 对象ID
     */
    @ApiModelProperty("对象ID")
    @TableId
    private Long hlObjId;

    /**
     * 分类ID
     */
    @ApiModelProperty("分类ID")
    @Excel(name = "分类ID")
    private Long classId;

    /**
     * 评价对象
     */
    @ApiModelProperty("评价对象")
    @Excel(name = "评价对象")
    private String hlObjName;

    /**
     * 评价对象编码
     */
    @ApiModelProperty("评价对象编码")
    @Excel(name = "评价对象编码")
    private String hlObjCode;

    /**
     * 分值
     */
    @ApiModelProperty("分值")
    @Excel(name = "分值")
    private Long hlObjScore;

    /**
     * 评价标准;
     */
    @ApiModelProperty("评价标准")
    @Excel(name = "评价标准;")
    private String hlObjStand;

    @ApiModelProperty("评价明细")
    private List<HlDetail> hlDetailList;
}
