package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.HlBase;

/**
 * 健康度配置基本Mapper接口
 *
 * @author jjt
 * @date 2024-08-28
 */
public interface HlBaseMapper extends BaseMapper<HlBase>
{
    /**
     * 查询健康度配置基本
     *
     * @param hlBaseId 健康度配置基本主键
     * @return 健康度配置基本
     */
    public HlBase selectHlBaseByHlBaseId(Long hlBaseId);

    /**
     * 查询健康度配置基本列表
     *
     * @param hlBase 健康度配置基本
     * @return 健康度配置基本集合
     */
    public List<HlBase> selectHlBaseList(HlBase hlBase);

    /**
     * 新增健康度配置基本
     *
     * @param hlBase 健康度配置基本
     * @return 结果
     */
    public int insertHlBase(HlBase hlBase);

    /**
     * 修改健康度配置基本
     *
     * @param hlBase 健康度配置基本
     * @return 结果
     */
    public int updateHlBase(HlBase hlBase);

    /**
     * 删除健康度配置基本
     *
     * @param hlBaseId 健康度配置基本主键
     * @return 结果
     */
    public int deleteHlBaseByHlBaseId(Long hlBaseId);

    /**
     * 批量删除健康度配置基本
     *
     * @param hlBaseIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHlBaseByHlBaseIds(Long[] hlBaseIds);
    /**
     * 根据模型ID查询
     *
     * @param modelId 健康度配置基本主键
     * @return 结果
     */
    HlBase selectHlBaseByModelId(Long modelId);
    /**
     * 根据模型ID删除健康度数据
     *
     * @param modelId 模型ID
     * @return 结果
     */
    int deleteHlBase4ModelId(Long modelId);
}
