package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.HlClass;

/**
 * 健康度分类Mapper接口
 * 
 * @author jjt
 * @date 2024-08-28
 */
public interface HlClassMapper extends BaseMapper<HlClass>
{
    /**
     * 查询健康度分类
     * 
     * @param classId 健康度分类主键
     * @return 健康度分类
     */
    public HlClass selectHlClassByClassId(Long classId);

    /**
     * 查询健康度分类列表
     * 
     * @param hlClass 健康度分类
     * @return 健康度分类集合
     */
    public List<HlClass> selectHlClassList(HlClass hlClass);

    /**
     * 新增健康度分类
     * 
     * @param hlClass 健康度分类
     * @return 结果
     */
    public int insertHlClass(HlClass hlClass);

    /**
     * 修改健康度分类
     * 
     * @param hlClass 健康度分类
     * @return 结果
     */
    public int updateHlClass(HlClass hlClass);

    /**
     * 删除健康度分类
     * 
     * @param classId 健康度分类主键
     * @return 结果
     */
    public int deleteHlClassByClassId(Long classId);

    /**
     * 批量删除健康度分类
     * 
     * @param classIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHlClassByClassIds(Long[] classIds);
}
