package com.jjt.biz.service;

import com.jjt.biz.domain.HlBase;

import java.util.List;

/**
 * 健康度配置基本Service接口
 *
 * @author jjt
 * @date 2024-08-28
 */
public interface IHlBaseService {
    /**
     * 查询健康度配置基本
     *
     * @param hlBaseId 健康度配置基本主键
     * @return 健康度配置基本
     */
    public HlBase selectHlBaseByHlBaseId(Long hlBaseId);

    /**
     * 根据模型ID查询
     *
     * @param modelId 健康度配置基本主键
     * @return 健康度配置基本
     */
    public HlBase selectHlBaseByModelId(Long modelId);

    /**
     * 查询健康度配置基本列表
     *
     * @param hlBase 健康度配置基本
     * @return 健康度配置基本集合
     */
    public List<HlBase> selectHlBaseList(HlBase hlBase);

    /**
     * 新增健康度配置基本
     *
     * @param hlBase 健康度配置基本
     * @return 结果
     */
    public int insertHlBase(HlBase hlBase);

    /**
     * 修改健康度配置基本
     *
     * @param hlBase 健康度配置基本
     * @return 结果
     */
    public int updateHlBase(HlBase hlBase);

    /**
     * 批量删除健康度配置基本
     *
     * @param hlBaseIds 需要删除的健康度配置基本主键集合
     * @return 结果
     */
    public int deleteHlBaseByHlBaseIds(Long[] hlBaseIds);

    /**
     * 删除健康度配置基本信息
     *
     * @param hlBaseId 健康度配置基本主键
     * @return 结果
     */
    public int deleteHlBaseByHlBaseId(Long hlBaseId);

    /**
     * 根据模型ID插入健康度数据
     *
     * @param modelId 模型ID
     */
    void insertHlBase4ModelId(Long modelId);

    /**
     * 根据模型ID删除健康度数据
     *
     * @param modelId 模型ID
     */
    void deleteHlBase4ModelId(Long modelId);
}
