package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.HlDetail;

/**
 * 健康度明细Service接口
 * 
 * @author jjt
 * @date 2024-08-28
 */
public interface IHlDetailService 
{
    /**
     * 查询健康度明细
     * 
     * @param hlDetailId 健康度明细主键
     * @return 健康度明细
     */
    public HlDetail selectHlDetailByHlDetailId(Long hlDetailId);

    /**
     * 查询健康度明细列表
     * 
     * @param hlDetail 健康度明细
     * @return 健康度明细集合
     */
    public List<HlDetail> selectHlDetailList(HlDetail hlDetail);

    /**
     * 新增健康度明细
     * 
     * @param hlDetail 健康度明细
     * @return 结果
     */
    public int insertHlDetail(HlDetail hlDetail);

    /**
     * 修改健康度明细
     * 
     * @param hlDetail 健康度明细
     * @return 结果
     */
    public int updateHlDetail(HlDetail hlDetail);

    /**
     * 批量删除健康度明细
     * 
     * @param hlDetailIds 需要删除的健康度明细主键集合
     * @return 结果
     */
    public int deleteHlDetailByHlDetailIds(Long[] hlDetailIds);

    /**
     * 删除健康度明细信息
     * 
     * @param hlDetailId 健康度明细主键
     * @return 结果
     */
    public int deleteHlDetailByHlDetailId(Long hlDetailId);
}
