package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.HlObj;

/**
 * 健康度对象Service接口
 * 
 * @author jjt
 * @date 2024-08-28
 */
public interface IHlObjService 
{
    /**
     * 查询健康度对象
     * 
     * @param hlObjId 健康度对象主键
     * @return 健康度对象
     */
    public HlObj selectHlObjByHlObjId(Long hlObjId);

    /**
     * 查询健康度对象列表
     * 
     * @param hlObj 健康度对象
     * @return 健康度对象集合
     */
    public List<HlObj> selectHlObjList(HlObj hlObj);

    /**
     * 新增健康度对象
     * 
     * @param hlObj 健康度对象
     * @return 结果
     */
    public int insertHlObj(HlObj hlObj);

    /**
     * 修改健康度对象
     * 
     * @param hlObj 健康度对象
     * @return 结果
     */
    public int updateHlObj(HlObj hlObj);

    /**
     * 批量删除健康度对象
     * 
     * @param hlObjIds 需要删除的健康度对象主键集合
     * @return 结果
     */
    public int deleteHlObjByHlObjIds(Long[] hlObjIds);

    /**
     * 删除健康度对象信息
     * 
     * @param hlObjId 健康度对象主键
     * @return 结果
     */
    public int deleteHlObjByHlObjId(Long hlObjId);
}
