package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.HlClassMapper;
import com.jjt.biz.domain.HlClass;
import com.jjt.biz.service.IHlClassService;
import javax.annotation.Resource;

/**
 * 健康度分类Service业务层处理
 *
 * @author jjt
 * @date 2024-08-28
 */
@Service
public class HlClassServiceImpl implements IHlClassService {
    @Resource
    private HlClassMapper hlClassMapper;

    /**
     * 查询健康度分类
     *
     * @param classId 健康度分类主键
     * @return 健康度分类
     */
    @Override
    public HlClass selectHlClassByClassId(Long classId) {
        return hlClassMapper.selectHlClassByClassId(classId);
    }

    /**
     * 查询健康度分类列表
     *
     * @param hlClass 健康度分类
     * @return 健康度分类
     */
    @Override
    public List<HlClass> selectHlClassList(HlClass hlClass) {
        return hlClassMapper.selectHlClassList(hlClass);
    }

    /**
     * 新增健康度分类
     *
     * @param hlClass 健康度分类
     * @return 结果
     */
    @Override
    public int insertHlClass(HlClass hlClass) {
                hlClass.setCreateTime(DateUtils.getNowDate());
            return hlClassMapper.insertHlClass(hlClass);
    }

    /**
     * 修改健康度分类
     *
     * @param hlClass 健康度分类
     * @return 结果
     */
    @Override
    public int updateHlClass(HlClass hlClass) {
                hlClass.setUpdateTime(DateUtils.getNowDate());
        return hlClassMapper.updateHlClass(hlClass);
    }

    /**
     * 批量删除健康度分类
     *
     * @param classIds 需要删除的健康度分类主键
     * @return 结果
     */
    @Override
    public int deleteHlClassByClassIds(Long[] classIds) {
        return hlClassMapper.deleteHlClassByClassIds(classIds);
    }

    /**
     * 删除健康度分类信息
     *
     * @param classId 健康度分类主键
     * @return 结果
     */
    @Override
    public int deleteHlClassByClassId(Long classId) {
        return hlClassMapper.deleteHlClassByClassId(classId);
    }
}
