package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.HlDetailMapper;
import com.jjt.biz.domain.HlDetail;
import com.jjt.biz.service.IHlDetailService;
import javax.annotation.Resource;

/**
 * 健康度明细Service业务层处理
 *
 * @author jjt
 * @date 2024-08-28
 */
@Service
public class HlDetailServiceImpl implements IHlDetailService {
    @Resource
    private HlDetailMapper hlDetailMapper;

    /**
     * 查询健康度明细
     *
     * @param hlDetailId 健康度明细主键
     * @return 健康度明细
     */
    @Override
    public HlDetail selectHlDetailByHlDetailId(Long hlDetailId) {
        return hlDetailMapper.selectHlDetailByHlDetailId(hlDetailId);
    }

    /**
     * 查询健康度明细列表
     *
     * @param hlDetail 健康度明细
     * @return 健康度明细
     */
    @Override
    public List<HlDetail> selectHlDetailList(HlDetail hlDetail) {
        return hlDetailMapper.selectHlDetailList(hlDetail);
    }

    /**
     * 新增健康度明细
     *
     * @param hlDetail 健康度明细
     * @return 结果
     */
    @Override
    public int insertHlDetail(HlDetail hlDetail) {
                hlDetail.setCreateTime(DateUtils.getNowDate());
            return hlDetailMapper.insertHlDetail(hlDetail);
    }

    /**
     * 修改健康度明细
     *
     * @param hlDetail 健康度明细
     * @return 结果
     */
    @Override
    public int updateHlDetail(HlDetail hlDetail) {
                hlDetail.setUpdateTime(DateUtils.getNowDate());
        return hlDetailMapper.updateHlDetail(hlDetail);
    }

    /**
     * 批量删除健康度明细
     *
     * @param hlDetailIds 需要删除的健康度明细主键
     * @return 结果
     */
    @Override
    public int deleteHlDetailByHlDetailIds(Long[] hlDetailIds) {
        return hlDetailMapper.deleteHlDetailByHlDetailIds(hlDetailIds);
    }

    /**
     * 删除健康度明细信息
     *
     * @param hlDetailId 健康度明细主键
     * @return 结果
     */
    @Override
    public int deleteHlDetailByHlDetailId(Long hlDetailId) {
        return hlDetailMapper.deleteHlDetailByHlDetailId(hlDetailId);
    }
}
