package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.HlObjMapper;
import com.jjt.biz.domain.HlObj;
import com.jjt.biz.service.IHlObjService;
import javax.annotation.Resource;

/**
 * 健康度对象Service业务层处理
 *
 * @author jjt
 * @date 2024-08-28
 */
@Service
public class HlObjServiceImpl implements IHlObjService {
    @Resource
    private HlObjMapper hlObjMapper;

    /**
     * 查询健康度对象
     *
     * @param hlObjId 健康度对象主键
     * @return 健康度对象
     */
    @Override
    public HlObj selectHlObjByHlObjId(Long hlObjId) {
        return hlObjMapper.selectHlObjByHlObjId(hlObjId);
    }

    /**
     * 查询健康度对象列表
     *
     * @param hlObj 健康度对象
     * @return 健康度对象
     */
    @Override
    public List<HlObj> selectHlObjList(HlObj hlObj) {
        return hlObjMapper.selectHlObjList(hlObj);
    }

    /**
     * 新增健康度对象
     *
     * @param hlObj 健康度对象
     * @return 结果
     */
    @Override
    public int insertHlObj(HlObj hlObj) {
                hlObj.setCreateTime(DateUtils.getNowDate());
            return hlObjMapper.insertHlObj(hlObj);
    }

    /**
     * 修改健康度对象
     *
     * @param hlObj 健康度对象
     * @return 结果
     */
    @Override
    public int updateHlObj(HlObj hlObj) {
                hlObj.setUpdateTime(DateUtils.getNowDate());
        return hlObjMapper.updateHlObj(hlObj);
    }

    /**
     * 批量删除健康度对象
     *
     * @param hlObjIds 需要删除的健康度对象主键
     * @return 结果
     */
    @Override
    public int deleteHlObjByHlObjIds(Long[] hlObjIds) {
        return hlObjMapper.deleteHlObjByHlObjIds(hlObjIds);
    }

    /**
     * 删除健康度对象信息
     *
     * @param hlObjId 健康度对象主键
     * @return 结果
     */
    @Override
    public int deleteHlObjByHlObjId(Long hlObjId) {
        return hlObjMapper.deleteHlObjByHlObjId(hlObjId);
    }
}
